### Enumeration

# Pos InputMethodPurpose

#### Declaration

    enum Pos.InputMethodPurpose

#### Description [src]

Input purpose as specified by text input protocol.

#### Members

`POS_INPUT_METHOD_PURPOSE_NORMAL`

  No description available.

  - Value: `0`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_ALPHA`

  No description available.

  - Value: `1`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_DIGITS`

  No description available.

  - Value: `2`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_NUMBER`

  No description available.

  - Value: `3`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_PHONE`

  No description available.

  - Value: `4`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_URL`

  No description available.

  - Value: `5`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_EMAIL`

  No description available.

  - Value: `6`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_NAME`

  No description available.

  - Value: `7`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_PASSWORD`

  No description available.

  - Value: `8`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_PIN`

  No description available.

  - Value: `9`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_DATE`

  No description available.

  - Value: `10`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_TIME`

  No description available.

  - Value: `11`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_DATETIME`

  No description available.

  - Value: `12`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_TERMINAL`

  No description available.

  - Value: `13`
  - Available since: 0